package com.goer.framework.web.service;

import com.goer.project.model.dataType.domain.DataType;
import com.goer.project.model.dataType.service.IDataTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * html调用 thymeleaf 实现字典读取
 * 
 * @author goer
 */
@Service("dataType")
public class DataTypeService
{
    @Autowired
    private IDataTypeService dataTypeService;

    /**
     * 查询数据类型列表
     *
     * @param projectId 模型id
     * @return 数据类型集合
     */
    public List<DataType> selectDataTypeList(Long projectId) {
        DataType dataType = new DataType();
        dataType.setProjectId(projectId);
        dataType.setVersionId(0L);
        return dataTypeService.selectDataTypeList(dataType);
    }
}
